Package org.springframework.security.web.webauthn.api

# Class AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder

Enclosing class:
  AuthenticatorAssertionResponse

public static final class AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder extends Object
Builds a `AuthenticatorAssertionResponse`.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`
`attestationObject(Bytes attestationObject)`
Set the `attestationObject` property
`AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`
`authenticatorData(Bytes authenticatorData)`
Set the `AuthenticatorAssertionResponse.getAuthenticatorData()` property
`AuthenticatorAssertionResponse`
`build()`
Builds the `AuthenticatorAssertionResponse`
`AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`
`clientDataJSON(Bytes clientDataJSON)`
Set the `AuthenticatorResponse.getClientDataJSON()` property
`AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`
`signature(Bytes signature)`
Set the `AuthenticatorAssertionResponse.getSignature()` property
`AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`
`userHandle(Bytes userHandle)`
Set the `AuthenticatorAssertionResponse.getUserHandle()` property

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### authenticatorData

public AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder authenticatorData(Bytes authenticatorData)
Set the `AuthenticatorAssertionResponse.getAuthenticatorData()` property

Parameters:
  `authenticatorData` - the authenticator data.
Returns:
  the `AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`

### signature

public AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder signature(Bytes signature)
Set the `AuthenticatorAssertionResponse.getSignature()` property

Parameters:
  `signature` - the signature
Returns:
  the `AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`

### userHandle

public AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder userHandle(Bytes userHandle)
Set the `AuthenticatorAssertionResponse.getUserHandle()` property

Parameters:
  `userHandle` - the user handle
Returns:
  the `AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`

### attestationObject

public AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder attestationObject(Bytes attestationObject)
Set the `attestationObject` property

Parameters:
  `attestationObject` - the attestation object
Returns:
  the `AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`

### clientDataJSON

public AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder clientDataJSON(Bytes clientDataJSON)
Set the `AuthenticatorResponse.getClientDataJSON()` property

Parameters:
  `clientDataJSON` - the client data JSON
Returns:
  the `AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`

### build

public AuthenticatorAssertionResponse build()
Builds the `AuthenticatorAssertionResponse`

Returns:
  the `AuthenticatorAssertionResponse`